=head1 NAME

Gnome2::VFS::Volume - wrapper for GnomeVFSVolume

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gnome2::VFS::Volume



=cut

=for object Gnome2::VFS::Volume
=cut




=head1 METHODS

=head2 string = $volume-E<gt>B<get_activation_uri> 

=head2 integer = $a-E<gt>B<compare> ($b)

=over

=item * $b (Gnome2::VFS::Volume) 

=back

=head2 Gnome2::VFS-E<gt>B<connect_to_server> ($uri, $display_name, $icon)

=over

=item * $uri (string) 

=item * $display_name (string) 

=item * $icon (string) 

=back

=head2 string = $volume-E<gt>B<get_device_path> 

=head2 devicetype = $volume-E<gt>B<get_device_type> 

=head2 string = $volume-E<gt>B<get_display_name> 

=head2 drive = $volume-E<gt>B<get_drive> 

=head2 $volume-E<gt>B<eject> ($func, $data=undef)

=over

=item * $func (scalar) 

=item * $data (scalar) 

=back

=head2 string = $volume-E<gt>B<get_filesystem_type> 

=head2 string = $volume-E<gt>B<get_hal_udi> 

Since: vfs 2.8

=head2 boolean = $volume-E<gt>B<handles_trash> 

=head2 string = $volume-E<gt>B<get_icon> 

=head2 unsigned = $volume-E<gt>B<get_id> 

=head2 boolean = $volume-E<gt>B<is_mounted> 

=head2 boolean = $volume-E<gt>B<is_read_only> 

=head2 boolean = $volume-E<gt>B<is_user_visible> 

=head2 $volume-E<gt>B<unmount> ($func, $data=undef)

=over

=item * $func (scalar) 

=item * $data (scalar) 

=back

=head2 volumetype = $volume-E<gt>B<get_volume_type> 



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gnome2::VFS::DeviceType

=over

=item * 'unknown' / 'GNOME_VFS_DEVICE_TYPE_UNKNOWN'

=item * 'audio-cd' / 'GNOME_VFS_DEVICE_TYPE_AUDIO_CD'

=item * 'video-dvd' / 'GNOME_VFS_DEVICE_TYPE_VIDEO_DVD'

=item * 'harddrive' / 'GNOME_VFS_DEVICE_TYPE_HARDDRIVE'

=item * 'cdrom' / 'GNOME_VFS_DEVICE_TYPE_CDROM'

=item * 'floppy' / 'GNOME_VFS_DEVICE_TYPE_FLOPPY'

=item * 'zip' / 'GNOME_VFS_DEVICE_TYPE_ZIP'

=item * 'jaz' / 'GNOME_VFS_DEVICE_TYPE_JAZ'

=item * 'nfs' / 'GNOME_VFS_DEVICE_TYPE_NFS'

=item * 'autofs' / 'GNOME_VFS_DEVICE_TYPE_AUTOFS'

=item * 'camera' / 'GNOME_VFS_DEVICE_TYPE_CAMERA'

=item * 'memory-stick' / 'GNOME_VFS_DEVICE_TYPE_MEMORY_STICK'

=item * 'smb' / 'GNOME_VFS_DEVICE_TYPE_SMB'

=item * 'apple' / 'GNOME_VFS_DEVICE_TYPE_APPLE'

=item * 'music-player' / 'GNOME_VFS_DEVICE_TYPE_MUSIC_PLAYER'

=item * 'windows' / 'GNOME_VFS_DEVICE_TYPE_WINDOWS'

=item * 'loopback' / 'GNOME_VFS_DEVICE_TYPE_LOOPBACK'

=item * 'network' / 'GNOME_VFS_DEVICE_TYPE_NETWORK'

=back


=head2 enum Gnome2::VFS::VolumeType

=over

=item * 'mountpoint' / 'GNOME_VFS_VOLUME_TYPE_MOUNTPOINT'

=item * 'vfs-mount' / 'GNOME_VFS_VOLUME_TYPE_VFS_MOUNT'

=item * 'connected-server' / 'GNOME_VFS_VOLUME_TYPE_CONNECTED_SERVER'

=back




=cut


=head1 SEE ALSO

L<Gnome2::VFS>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2007, 2013 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2::VFS> for a full notice.



=cut

